List available BINs
curl --request GET \
--url https://cc.nadcab.com/api/v1/bins \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cc.nadcab.com/api/v1/bins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/bins"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/bins",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "success",
"data": [
{
"id": 533,
"bin": "111111",
"type": "share",
"name": "111111",
"network": "VISA",
"country": "US",
"avs": 0,
"3ds": 0,
"day_purchase_limit": 300000,
"single_purchase_limit": 300000,
"lifetime_purchase_limit": 300000,
"maintain": false,
"weigh": 0,
"status": true,
"api": true,
"physical": 0,
"foreign_fee_config": {
"0-500": {
"fee": 0.4,
"fee_rate": 0.1,
"extra_fee": 0.2,
"extra_fee_rate": 0.02
}
},
"currency": "USD",
"auth_fee_config": null,
"refund_fee_config": null,
"reversal_fee_config": null,
"apple_pay": 0,
"google_wallet": 0,
"card_nums": 0,
"cashback_fee_config": [],
"is_card_count_limited": 0,
"business_mode": [
"B2B"
],
"auth_level": 1,
"create_amount": 9,
"card_depost_fee": 0.01,
"allow_create": true,
"allow_in": true,
"allow_out": true,
"allow_suspend": true,
"allow_enable": true,
"allow_frozen": true,
"allow_unfrozen": true,
"allow_destory": true,
"create_min_amount": 1,
"create_max_amount": 30,
"recharge_min_amount": 1,
"recharge_max_amount": 30,
"withdraw_min_amount": 1,
"withdraw_max_amount": 30,
"refuse_times": 5,
"refuse_rate": 20,
"scenes": [
"Google",
"Facebook"
],
"auth_requirement": {
"level": "base",
"fields": [
{
"field": "idType",
"required": true,
"desc": "ID document type: passport"
},
{
"field": "idFrontAttachmentKey",
"required": true,
"desc": "Passport (the key returned by Upload image)"
},
{
"field": "selfieAttachmentKey",
"required": false,
"desc": "Selfie (required for advanced verification; the key returned by Upload image)"
}
]
}
},
{
"id": 534,
"bin": "367218",
"type": "share",
"name": "367218",
"network": "Discover",
"country": "US",
"avs": 0,
"3ds": 0,
"day_purchase_limit": 300000,
"single_purchase_limit": 300000,
"lifetime_purchase_limit": 300000,
"maintain": false,
"weigh": 0,
"status": true,
"api": true,
"physical": 0,
"foreign_fee_config": {
"0-500": {
"fee": 0.2,
"fee_rate": 0.05,
"extra_fee": 0.1,
"extra_fee_rate": 0.03
}
},
"currency": "USD",
"auth_fee_config": null,
"refund_fee_config": null,
"reversal_fee_config": null,
"apple_pay": 0,
"google_wallet": 0,
"card_nums": 0,
"cashback_fee_config": [],
"is_card_count_limited": 0,
"business_mode": [
"B2B"
],
"auth_level": 1,
"create_amount": 9,
"card_depost_fee": 0.01,
"allow_create": true,
"allow_in": true,
"allow_out": true,
"allow_suspend": true,
"allow_enable": true,
"allow_frozen": true,
"allow_unfrozen": true,
"allow_destory": true,
"create_min_amount": 0,
"create_max_amount": 0,
"recharge_min_amount": 0,
"recharge_max_amount": 0,
"withdraw_min_amount": 0,
"withdraw_max_amount": 0,
"refuse_times": 5,
"refuse_rate": 20,
"scenes": [],
"auth_requirement": {
"level": "base",
"fields": [
{
"field": "idType",
"required": true,
"desc": "ID document type: passport"
},
{
"field": "idFrontAttachmentKey",
"required": true,
"desc": "Passport (the key returned by Upload image)"
},
{
"field": "selfieAttachmentKey",
"required": false,
"desc": "Selfie (required for advanced verification; the key returned by Upload image)"
}
]
}
},
{
"id": 572,
"bin": "49387520",
"type": "PrepaidCard",
"name": "49387520",
"network": "VISA",
"country": "US",
"avs": 0,
"3ds": 1,
"day_purchase_limit": 0,
"single_purchase_limit": 0,
"lifetime_purchase_limit": 1000000,
"maintain": false,
"weigh": 0,
"status": true,
"api": true,
"physical": 0,
"foreign_fee_config": {
"0-500": {
"fee": 0.2,
"fee_rate": 0.05,
"extra_fee": 0.2,
"extra_fee_rate": 0.02
}
},
"currency": "USD",
"auth_fee_config": null,
"refund_fee_config": null,
"reversal_fee_config": null,
"apple_pay": 0,
"google_wallet": 0,
"card_nums": 0,
"cashback_fee_config": [],
"is_card_count_limited": 1,
"business_mode": [
"B2B",
"B2C"
],
"auth_level": 2,
"create_amount": 9,
"card_depost_fee": 0.01,
"allow_create": true,
"allow_in": true,
"allow_out": true,
"allow_suspend": true,
"allow_enable": true,
"allow_frozen": true,
"allow_unfrozen": true,
"allow_destory": true,
"create_min_amount": 1,
"create_max_amount": 30,
"recharge_min_amount": 1,
"recharge_max_amount": 30,
"withdraw_min_amount": 1,
"withdraw_max_amount": 30,
"refuse_times": 5,
"refuse_rate": 20,
"scenes": [],
"auth_requirement": {
"level": "advanced",
"fields": [
{
"field": "idType",
"required": true,
"desc": "ID document type: passport"
},
{
"field": "idFrontAttachmentKey",
"required": true,
"desc": "Passport (the key returned by Upload image)"
},
{
"field": "selfieAttachmentKey",
"required": true,
"desc": "Selfie (required for advanced verification; the key returned by Upload image)"
}
]
}
},
{
"id": 574,
"bin": "517746",
"type": "PrepaidCard",
"name": "517746",
"network": "MasterCard",
"country": "US",
"avs": 1,
"3ds": 0,
"day_purchase_limit": 0,
"single_purchase_limit": 0,
"lifetime_purchase_limit": 1000000,
"maintain": false,
"weigh": 0,
"status": true,
"api": true,
"physical": 0,
"foreign_fee_config": {
"0-500": {
"fee": 0.2,
"fee_rate": 0.05,
"extra_fee": 0.2,
"extra_fee_rate": 0.02
}
},
"currency": "USD",
"auth_fee_config": null,
"refund_fee_config": null,
"reversal_fee_config": null,
"apple_pay": 0,
"google_wallet": 0,
"card_nums": 0,
"cashback_fee_config": [],
"is_card_count_limited": 1,
"business_mode": [
"B2B",
"B2C"
],
"auth_level": 2,
"create_amount": 10,
"card_depost_fee": 0.01,
"allow_create": true,
"allow_in": true,
"allow_out": true,
"allow_suspend": true,
"allow_enable": true,
"allow_frozen": true,
"allow_unfrozen": true,
"allow_destory": true,
"create_min_amount": 1,
"create_max_amount": 30,
"recharge_min_amount": 1,
"recharge_max_amount": 30,
"withdraw_min_amount": 1,
"withdraw_max_amount": 30,
"refuse_times": 5,
"refuse_rate": 20,
"scenes": [],
"auth_requirement": {
"level": "advanced",
"fields": [
{
"field": "idType",
"required": true,
"desc": "ID document type: passport"
},
{
"field": "idFrontAttachmentKey",
"required": true,
"desc": "Passport (the key returned by Upload image)"
},
{
"field": "selfieAttachmentKey",
"required": true,
"desc": "Selfie (required for advanced verification; the key returned by Upload image)"
}
]
}
},
{
"id": 575,
"bin": "537100",
"type": "PrepaidCard",
"name": "537100",
"network": "MasterCard",
"country": "US",
"avs": 1,
"3ds": 1,
"day_purchase_limit": 0,
"single_purchase_limit": 0,
"lifetime_purchase_limit": 1000000,
"maintain": false,
"weigh": 0,
"status": true,
"api": true,
"physical": 0,
"foreign_fee_config": {
"0-500": {
"fee": 0.2,
"fee_rate": 0.05,
"extra_fee": 0.2,
"extra_fee_rate": 0.02
}
},
"currency": "USD",
"auth_fee_config": null,
"refund_fee_config": null,
"reversal_fee_config": null,
"apple_pay": 0,
"google_wallet": 0,
"card_nums": 0,
"cashback_fee_config": [],
"is_card_count_limited": 1,
"business_mode": [
"B2B",
"B2C"
],
"auth_level": 2,
"create_amount": 10,
"card_depost_fee": 0.01,
"allow_create": true,
"allow_in": true,
"allow_out": true,
"allow_suspend": true,
"allow_enable": true,
"allow_frozen": true,
"allow_unfrozen": true,
"allow_destory": true,
"create_min_amount": 1,
"create_max_amount": 30,
"recharge_min_amount": 1,
"recharge_max_amount": 30,
"withdraw_min_amount": 1,
"withdraw_max_amount": 30,
"refuse_times": 5,
"refuse_rate": 20,
"scenes": [],
"auth_requirement": {
"level": "advanced",
"fields": [
{
"field": "idType",
"required": true,
"desc": "ID document type: passport"
},
{
"field": "idFrontAttachmentKey",
"required": true,
"desc": "Passport (the key returned by Upload image)"
},
{
"field": "selfieAttachmentKey",
"required": true,
"desc": "Selfie (required for advanced verification; the key returned by Upload image)"
}
]
}
},
{
"id": 601,
"bin": "49372410",
"type": "share",
"name": "49372410",
"network": "Visa",
"country": "SG",
"avs": 0,
"3ds": 1,
"day_purchase_limit": 250000,
"single_purchase_limit": 10000,
"lifetime_purchase_limit": 1000000,
"maintain": false,
"weigh": 0,
"status": true,
"api": true,
"physical": 0,
"foreign_fee_config": {
"0-500": {
"fee": 0.2,
"fee_rate": 0.05,
"extra_fee": 0.1,
"extra_fee_rate": 0.03
}
},
"currency": "USD",
"auth_fee_config": null,
"refund_fee_config": null,
"reversal_fee_config": null,
"apple_pay": 0,
"google_wallet": 0,
"card_nums": 8,
"cashback_fee_config": [],
"is_card_count_limited": 1,
"business_mode": [
"B2B",
"B2C"
],
"auth_level": 1,
"create_amount": 10,
"card_depost_fee": 0.01,
"allow_create": true,
"allow_in": true,
"allow_out": true,
"allow_suspend": true,
"allow_enable": true,
"allow_frozen": true,
"allow_unfrozen": true,
"allow_destory": true,
"create_min_amount": 0,
"create_max_amount": 0,
"recharge_min_amount": 0,
"recharge_max_amount": 0,
"withdraw_min_amount": 0,
"withdraw_max_amount": 0,
"refuse_times": 5,
"refuse_rate": 20,
"scenes": [],
"auth_requirement": {
"level": "base",
"fields": [
{
"field": "idType",
"required": true,
"desc": "ID document type: passport"
},
{
"field": "idFrontAttachmentKey",
"required": true,
"desc": "Passport (the key returned by Upload image)"
},
{
"field": "selfieAttachmentKey",
"required": false,
"desc": "Selfie (required for advanced verification; the key returned by Upload image)"
}
]
}
},
{
"id": 602,
"bin": "111112",
"type": "share",
"name": "Nadcab Visa",
"network": "VISA",
"country": "US",
"avs": 0,
"3ds": 0,
"day_purchase_limit": 300000,
"single_purchase_limit": 300000,
"lifetime_purchase_limit": 300000,
"maintain": false,
"weigh": 0,
"status": true,
"api": true,
"physical": 0,
"foreign_fee_config": {
"0-500": {
"fee": 0.4,
"fee_rate": 0.1,
"extra_fee": 0.2,
"extra_fee_rate": 0.02
}
},
"currency": "USD",
"auth_fee_config": null,
"refund_fee_config": null,
"reversal_fee_config": null,
"apple_pay": 0,
"google_wallet": 0,
"card_nums": 0,
"cashback_fee_config": [],
"is_card_count_limited": 1,
"business_mode": [
"B2C"
],
"auth_level": 1,
"create_amount": 10,
"card_depost_fee": 0.01,
"allow_create": true,
"allow_in": true,
"allow_out": true,
"allow_suspend": true,
"allow_enable": true,
"allow_frozen": true,
"allow_unfrozen": true,
"allow_destory": true,
"create_min_amount": 1,
"create_max_amount": 30,
"recharge_min_amount": 1,
"recharge_max_amount": 30,
"withdraw_min_amount": 1,
"withdraw_max_amount": 30,
"refuse_times": 5,
"refuse_rate": 20,
"scenes": [],
"auth_requirement": {
"level": "base",
"fields": [
{
"field": "idType",
"required": true,
"desc": "ID document type: passport"
},
{
"field": "idFrontAttachmentKey",
"required": true,
"desc": "Passport (the key returned by Upload image)"
},
{
"field": "selfieAttachmentKey",
"required": false,
"desc": "Selfie (required for advanced verification; the key returned by Upload image)"
}
]
}
}
]
}Card BINs
List available BINs
GET
/
bins
List available BINs
